<template>
  <q-card-section
    class="col-sm-8 offset-sm-2 col-md-4 offset-md-4 flex justify-center"
  >
    <q-card-section>
      <div class="text-h6">Nou perfil de Projecte</div>
      <div class="text-subtitle2">En quin moment es troba el projecte?</div>
    </q-card-section>

    <q-card-section class="col-6">
      <q-card-section class="no-padding q-mb-xl">
        <q-input
          square
          outlined
          v-model="name"
          type="text"
          label="Nom del projecte*"
          hint="Ex: Can Marçal - Art & Agroecologia"
        />
      </q-card-section>
      <q-list bordered>
        <q-item
          v-for="(row, index) in PROJECT_TYPES"
          :key="index"
          clickable
          class="q-ma-lx"
          :active="index === stage"
          active-class="currentSelected"
          @click="setStage(index)"
        >
          <q-item-section avatar>
            <q-avatar color="primary" text-color="white" :icon="row.icon" />
          </q-item-section>

          <q-item-section>
            <q-item-label> {{ row.title }} </q-item-label>
            <q-item-label caption lines="3">
              {{ row.desc }}
            </q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-card-section>
  </q-card-section>
</template>

<script setup>
import { ProfileStore } from 'stores/profileStore'
import { storeToRefs } from 'pinia'
const profile = ProfileStore()
const { stage, name } = storeToRefs(profile)

const PROJECT_TYPES = [
  {
    title: 'Projecte Llavor',
    desc:
      'Grup de persones que està en fase inicial. El grup encara no té prou maduresa per començar treballar en el projecte col·lectiu.',
    icon: 'fa-solid fa-seedling'
  },
  {
    title: 'Projecte en promoció',
    desc: 'El projecte està arrencant i s’està treballant fer-lo realitat',
    icon: 'fa-brands fa-pagelines'
  },
  {
    title: 'Projecte en convivència',
    desc: `La feina s’ha materialitzat i el projecte ja ha arrencat.`,
    icon: 'fa-solid fa-tree'
  }
]

const setStage = val => {
  stage.value = val
}
</script>

<style lang="sass">
.my-card
  width: 250px

.currentSelected
  border: 1px solid grey
</style>
